package com.gh.gamecenter.eventbus

class EBPackage(var type: String, var packageName: String, var versionName: String?) {
    var gameId: String? = null
    var isVGame: Boolean = false // 是否是畅玩游戏

    fun isInstalledOrUninstalled() : Boolean {
        return type == TYPE_INSTALLED || type == TYPE_UNINSTALLED
    }

    companion object {
        const val TYPE_INSTALLED = "安装"
        const val TYPE_UNINSTALLED = "卸载"
        const val TYPE_REPLACED = "替换"
    }
}

